## org.apache.xml.serializer
Class SerializerFactory

    java.lang.Object
      org.apache.xml.serializer.SerializerFactory

public abstract class SerializerFactory
extends java.lang.Object

Factory for creating serializers.

Constructor Summary
`SerializerFactory()`

Method Summary
`static Serializer` `getSerializer(java.util.Properties format)` Returns a serializer for the specified output method.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializerFactory

    public SerializerFactory()

Method Detail

### getSerializer

    public static Serializer getSerializer(java.util.Properties format)

  Returns a serializer for the specified output method. If no implementation exists that supports the specified output method an exception of some type will be thrown. For a list of the default output methods see `Method`.

  Parameters:
    `format` - The output format, minimally the "method" property must be set.
  Returns:
    A suitable serializer.
  Throws:
    `java.lang.IllegalArgumentException` - if method is null or an appropriate serializer can't be found
    `java.lang.Exception` - if the class for the serializer is found but does not implement ContentHandler.
    `WrappedRuntimeException` - if an exception is thrown while trying to find serializer

Copyright © 2004 Apache XML Project. All Rights Reserved.